> For the complete documentation index, see [llms.txt](https://earnbit.gitbook.io/earnbit/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://earnbit.gitbook.io/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/cancel-order.md).

# Cancel Order

## Details

<mark style="color:green;">`POST`</mark> `https://api.earnbit.com/api/v1/order/cancel`

#### Headers

| Name                                              | Type             | Description                                                                                                               |
| ------------------------------------------------- | ---------------- | ------------------------------------------------------------------------------------------------------------------------- |
| X-TXC-APIKEY<mark style="color:red;">\*</mark>    | STRING           | Public [API key](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) |
| X-TXC-PAYLOAD<mark style="color:red;">\*</mark>   | STRING           | Сonverted Base64 string containing body JSON                                                                              |
| X-TXC-SIGNATURE<mark style="color:red;">\*</mark> | STRING           | Encrypted HmacSHA512 string containing body JSON with a API secret key                                                    |
| Content-Type                                      | application/json | Content type                                                                                                              |

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                              | Example              |
| ----------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------- |
| market<mark style="color:red;">\*</mark>  | STRING  | Any public pair                                                                                                                                                          | BTC\_USDT            |
| orderId<mark style="color:red;">\*</mark> | NUMERIC | Order ID for canceling                                                                                                                                                   | 1040149431           |
| request<mark style="color:red;">\*</mark> | STRING  | A request path without the domain name                                                                                                                                   | /api/v1/order/cancel |
| nonce<mark style="color:red;">\*</mark>   | NUMERIC | A 13-character number that must always be greater than the nonce of the previous completed request (we suggest generating a nonce as the UNIX timestamp in milliseconds) | 1704070810000        |

#### Request Body Example

<details>

<summary>CURL Example</summary>

```javascript
curl --location --request POST 'https://api.earnbit.com/api/v1/order/cancel' \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-PAYLOAD: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-SIGNATURE: 0000000000XXXXXXXXXXXXXXXXX' \
--data-raw '{"request":"/api/v1/order/cancel","market":"BTC_USDT","orderId":1040149431,"nonce":1704070810000}'
```

</details>

{% tabs %}
{% tab title="200: OK Successful" %}
**Response parameters:**

|    Name   |   Type  | Description                                           |
| :-------: | :-----: | ----------------------------------------------------- |
|  orderId  | NUMERIC | Order ID                                              |
|   market  |  STRING | Order pair                                            |
|    side   |  STRING | Order side (buy / sell)                               |
|    type   |  STRING | Order type                                            |
| timestamp | NUMERIC | Order creation time                                   |
|   price   |  STRING | Order price                                           |
| dealMoney |  STRING | Executed order amount (in 2nd ticker of pair)         |
| dealStock |  STRING | Executed order amount (in 1st ticker of pair)         |
|   amount  |  STRING | Order amount (in 1st ticker of pair)                  |
|  takerFee |  STRING | Order taker fee                                       |
|  makerFee |  STRING | Order maker fee                                       |
|    left   |  STRING | Available order amount  (if = 0 means finished order) |

**Response example:**

```javascript
{
    "code": 200,
    "success": true,
    "message": "",
    "result": {
        "orderId": 1040149431,
        "market": "BTC_USDT",
        "side": "buy",
        "type": "limit",
        "timestamp": 1727085860.026000,
        "price": "60000",
        "dealMoney": "0",
        "dealStock": "0",
        "amount": "0.1",
        "takerFee": "0.000425",
        "makerFee": "0.000425",
        "left": "0.1"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request" %}
**Response example 1:**

```javascript
{
    "code": 400,
    "success": false,
    "message": "authentication failure",
    "result": []
}
```

**This error occurs in the following cases:**

* The request was signed incorrectly.
* Some of the provided parameters are incorrect.
* Provided [nonce](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) is incorrect or less than on previous completed request
* The base URL or path is incorrect.
* The API keys are not [activated](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md).

**Response example 2:**

```json
{
    "code": 400,
    "success": false,
    "message": "invalid input",
    "result": []
}
```

**This error occurs in the following cases:**

* One or more body params provided incorrectly
* Required body params are not provided
  {% endtab %}

{% tab title="404: Not Found " %}
**Response example:**

```javascript
{    
    "timestamp": 1704070810000,
    "status": 404,
    "error": "Not Found",
    "message": "",
    "path": "/api/v1/order/test"
}
```

**This error occurs in the following cases:**

* The request was made with undefined data and the service cannot find the data for response.
  {% endtab %}
  {% endtabs %}
